/*
 * leds_drv.h
 *
 *
 *  Created on: 10-10-2014
 *      Author: KJ
 */

#ifndef LEDS_DRV_H_
#define LEDS_DRV_H_

#include "tdefs.h"

extern u32 led_states;
extern u32 led_blink_states;

struct leds_drv_logic
{
	u8 leds_count;
	u16 element_num[];
};

struct leds_drv_io
{
}__attribute__((__packed__));

struct leds_drv_params
{
}__attribute__((__packed__));

struct leds_drv_args
{
	struct leds_drv_io io;
	struct leds_drv_params params;
//	u16 crc;
}__attribute__((__packed__));

extern int leds_drv_initlog(void *args, void *logic);
extern void leds_drv(void *args, void *logic);

#endif /* LEDS_DRV_H_ */
